For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/identify/template/{galleryId}

Searches for a facial template in a gallery.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
galleryIdstringRequired

The name of a facial template gallery.

Example: my.facial.gallery
Body

A facial template, used for searching a 1:N gallery.

facialTemplatestringRequired

Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.

Example: BAEBGgEroySjGz2C9iIki35J/FA...
Responses
200

An array of templates that match the input image.

application/json

The result of searching for a template in a gallery.

galleryIndexintegerOptional

The index of a facial template in a gallery.

Example: 3
templateIdstringOptional

The name of a facial template in a gallery.

Example: user-1678
similaritynumberOptional

Similarity between two facial templates (0-None, 1-Identical).

Example: 0.994729161
facialAuthenticationStatusstring · enumOptional

Possible results of an authentication operation.

Example: PositivePossible values:
facialAuthenticationDetailstring · enumOptional

Quality detail of an authentication operation.

Example: PositiveLowSecurityLevelPossible values:
sdkDurationnumberOptional

Duration of the operation in milliseconds.

Example: 1234
post/api/v1/selphid/identify/template/{galleryId}
POST /api/v1/selphid/identify/template/{galleryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 420

{
  "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
  "options": {
    "longDetail": true,
    "elapsedAllowedSeconds": 3600,
    "futureAllowedSeconds": 3600,
    "facialDetection": "Frontal",
    "minFaceAbsPx": 35,
    "minFaceRel": 0.04,
    "minIodPx": 35,
    "maxPoseDegrees": 30,
    "minFacialQuality": "Good",
    "analyticsDetection": true,
    "templateRawExtraction": true,
    "falseDetectRate": 0.02,
    "maxCantidates": 5,
    "minSimilarity": 0.7,
    "authThreshold": 60,
    "livenessDepth": "Full"
  }
}
[
  {
    "galleryIndex": 3,
    "templateId": "user-1678",
    "similarity": 0.994729161,
    "facialAuthenticationStatus": "Positive",
    "facialAuthenticationDetail": "PositiveLowSecurityLevel",
    "sdkDuration": 1234
  }
]

Last updated